Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.control.DynamicTransformation
Interface DynamicTransformation

All Superinterfaces:
  com.bea.control.Control, Serializable

public interface DynamicTransformation
extends com.bea.control.Control

Nested Class Summary

Nested classes inherited from class com.bea.control.Control
`com.bea.control.Control.Callback`

Method Summary
`com.bea.xml.XmlObject` | `convertBytesToXML(byte[] data, String mflUrl)` Executes MFL Transformation
`com.bea.xml.XmlObject` | `convertInputStreamToXML(InputStream iStream, String mflUrl)` Executes MFL Transformation
`com.bea.xml.XmlObject` | `convertRawDataToXML(RawData rawData, String mflUrl)` Executes MFL Transformation
`byte[]` | `convertXmlToBytes(com.bea.xml.XmlObject xmlObject, String mflUrl)` Executes MFL Translation from a Xml Data to Non-XML data
`RawData` | `convertXmlToRawData(com.bea.xml.XmlObject xmlObject, String mflUrl)` Executes MFL Translation from a Xml Data to Non-XML data
`weblogic.xml.stream.XMLInputStream` | `mflstreamBinaryToXML(InputStream istream, String mflUrl)` Executes a MFL which takes a Binary stream and the Mfl Url and return a Stream as output
`InputStream` | `mflstreamXmlToBinary(weblogic.xml.stream.XMLInputStream istream, String mflUrl)` Executes a MFL which takes a XML stream and the Mfl Url and return a Binary InputStream as output
`weblogic.xml.stream.XMLInputStream` | `performStreamingXQuery(String xQueryName, HashMap streams)` Executes a Xquery which takes a streams as input in the form of a hashMap and return a Stream as output
`com.bea.xml.XmlObject[]` | `performXQuery(String xQueryName, HashMap inputList)` Executes a Xquery which takes unknown arguments at run time
`com.bea.xml.XmlObject` | `performXQueryOnXmlObject(String xQueryName, com.bea.xml.XmlObject inputDoc, String varName)` Executes a Xquery which takes a XmlObject in and XmlObject Out
`com.bea.xml.XmlObject` | `performXSLT(String xslTemplate, com.bea.xml.XmlObject source, HashMap inputList)` Executes a XSLT Transformation which takes unknown primitive java arguments at run time

Method Detail

### performXQuery

    public com.bea.xml.XmlObject[] performXQuery(String xQueryName,
                                                 HashMap inputList)
                                          throws javax.resource.ResourceException

  Executes a Xquery which takes unknown arguments at run time

  Returns:
    xmlObject the xmlObject out
  Throws:
    `javax.resource.ResourceException` - if any exception occurs while get

### performStreamingXQuery

    public weblogic.xml.stream.XMLInputStream performStreamingXQuery(String xQueryName,
                                                                     HashMap streams)
                                                              throws javax.resource.ResourceException

  Executes a Xquery which takes a streams as input in the form of a hashMap and return a Stream as output

  Returns:
    XmlInputStream the xmlstream which returns the output document
  Throws:
    `javax.resource.ResourceException` - if any exception occurs while get

### performXQueryOnXmlObject

    public com.bea.xml.XmlObject performXQueryOnXmlObject(String xQueryName,
                                                          com.bea.xml.XmlObject inputDoc,
                                                          String varName)
                                                   throws javax.resource.ResourceException

  Executes a Xquery which takes a XmlObject in and XmlObject Out

  Parameters:
    `varName` - the variable named used for the xmlDocument in the Xquery
  Returns:
    xmlObject the xmlObject out
  Throws:
    `javax.resource.ResourceException` - if any exception occurs while get

### performXSLT

    public com.bea.xml.XmlObject performXSLT(String xslTemplate,
                                             com.bea.xml.XmlObject source,
                                             HashMap inputList)
                                      throws javax.resource.ResourceException

  Executes a XSLT Transformation which takes unknown primitive java arguments at run time

  Parameters:
    `source` - the XML file which needs to be transformed
  Returns:
    xmlObject the xmlObject out
  Throws:
    `javax.resource.ResourceException` - if any exception occurs while get

### convertXmlToRawData

    public RawData convertXmlToRawData(com.bea.xml.XmlObject xmlObject,
                                       String mflUrl)
                                throws javax.resource.ResourceException

  Executes MFL Translation from a Xml Data to Non-XML data

  Returns:
    RawData which is the Non-XML Data
  Throws:
    `javax.resource.ResourceException` - if any exception occurs while get

### convertXmlToBytes

    public byte[] convertXmlToBytes(com.bea.xml.XmlObject xmlObject,
                                    String mflUrl)
                             throws javax.resource.ResourceException

  Executes MFL Translation from a Xml Data to Non-XML data

  Returns:
    byte[] which is the Non-XML Data
  Throws:
    `javax.resource.ResourceException` - if any exception occurs while get

### convertInputStreamToXML

    public com.bea.xml.XmlObject convertInputStreamToXML(InputStream iStream,
                                                         String mflUrl)
                                                  throws javax.resource.ResourceException

  Executes MFL Transformation

  Parameters:
    `mflUrl` - the url pointing to the URL file
  Returns:
    xmlObject the xmlObject out
  Throws:
    `javax.resource.ResourceException` - if any exception occurs while get

### convertRawDataToXML

    public com.bea.xml.XmlObject convertRawDataToXML(RawData rawData,
                                                     String mflUrl)
                                              throws javax.resource.ResourceException

  Executes MFL Transformation

  Parameters:
    `rawData` - the RawData containing the binary data
    `mflUrl` - the url pointing to the URL file
  Returns:
    xmlObject the xmlObject out
  Throws:
    `javax.resource.ResourceException` - if any exception occurs while get

### convertBytesToXML

    public com.bea.xml.XmlObject convertBytesToXML(byte[] data,
                                                   String mflUrl)
                                            throws javax.resource.ResourceException

  Executes MFL Transformation

  Parameters:
    `mflUrl` - the url pointing to the URL file
  Returns:
    xmlObject the xmlObject out
  Throws:
    `javax.resource.ResourceException` - if any exception occurs while get

### mflstreamBinaryToXML

    public weblogic.xml.stream.XMLInputStream mflstreamBinaryToXML(InputStream istream,
                                                                   String mflUrl)
                                                            throws javax.resource.ResourceException

  Executes a MFL which takes a Binary stream and the Mfl Url and return a Stream as output

  Parameters:
    `mflUrl` - The Mfl Url
    `istream` - The InputStream
  Returns:
    XmlInputStream the xmlstream
  Throws:
    `javax.resource.ResourceException` - if any exception occurs while get

### mflstreamXmlToBinary

    public InputStream mflstreamXmlToBinary(weblogic.xml.stream.XMLInputStream istream,
                                            String mflUrl)
                                     throws javax.resource.ResourceException

  Executes a MFL which takes a XML stream and the Mfl Url and return a Binary InputStream as output

  Parameters:
    `mflUrl` - The Mfl Url
    `istream` - The XMLInputStream
  Returns:
    InputStream the output of the transformation
  Throws:
    `javax.resource.ResourceException` - if any exception occurs while get

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD